from parallels.core.utils.entity import Entity


class Database(Entity):
    def __init__(self, database_id, database_server_id, domain_id):
        self._database_id = database_id
        self._database_server_id = database_server_id
        self._domain_id = domain_id

    @property
    def database_id(self):
        """
        :rtype: str | unicode
        """
        return self._database_id

    @property
    def database_server_id(self):
        """
        :rtype: str | unicode
        """
        return self._database_server_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id
